# WARNING - Generated by {fusen} from /dev/flat_check_data.Rmd: do not edit by hand

#' Check the values of primary fur color
#'
#' @param string Character. A vector with the primary fur color.
#'
#' @return Boolean. TRUE if all colors are correct.
#' @export
#'
#' @examples
#' check_primary_color_is_ok(string = c("Gray", "Cinnamon", "Gray"))
#' check_primary_color_is_ok(string = c("Gray", "Cinnamon", NA))
check_primary_color_is_ok <- function(string) {
  all_colors_OK <- all(
    string %in% c("Gray", "Cinnamon", "Black", NA)
  )
  
  if (isFALSE(all_colors_OK)){
    stop("La couleur renseignee ne correspond pas a une couleur de fourrure !")
  }
  return(all_colors_OK)
}
